import sys
import time

class Clock:
	def __init__(self):
		if sys.platform == "win32":
			self.timerFunction = time.clock
		else:
			self.timerFunction = time.time
		self._time = self.timerFunction()
		self.timeStep = 0
		self.lastFrameTime = self.time
		
	def update(self):
		"Call once every frame."
		self.lastFrameTime = self.time
		self._time = self.timerFunction()
		self.timeStep = min(0.1, max(0.005, self.time - self.lastFrameTime))
	
	@property
	def time(self):
		return self._time